Subject: Re: What's cooking in git.git (Aug 2025, #05; Mon, 11)

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Aug 2025 07:55:44 -0700

Taylor Blau <[email-masked]> writes:

> On Wed, Aug 13, 2025 at 09:06:33AM +0200, Patrick Steinhardt wrote:
>> Fair. I don't want to spend too much time on this signedness topic,
>> either. So I'd go with either:
>>
>>   - Taking the signedness patches as-is. They don't regress the status
>>     quo and allow us to warn about future unintentional signedness bugs,
>>     even though the fixes are mostly of theoretical value.
>>
>>   - I drop the signedness-conversion patches altogether.
>>
>> The more important part for me is to get the second half of patches
>> merged anyway. So while I think that the first half of patches are nice
>> to have, I can live with dropping them.
>
> I'd personally lean towards the latter, and drop those patches for now.
> I think practically speaking that equates to taking patches in the range
> [5, 10].

Yeah, that is much simpler.  That way, we do not add more commits in
"git log" that people may find later and mistakenly think that the
project had consensus to encourage the use of unsigned when signed
and narrower integer would do fine, and we won't have to see
misguided false positives from -Wsign-compare.  We are better off
without these changes.